net.snowflake.client.jdbc.cloud.storage

## Class StageInfo

- java.lang.Object
- - net.snowflake.client.jdbc.cloud.storage.StageInfo

All Implemented Interfaces:
  Serializable

    public class StageInfo
    extends Object
    implements Serializable

Encapsulates all the required stage properties used by GET/PUT for Azure and S3 stages

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `StageInfo.StageType`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static StageInfo` `createStageInfo(String locationType, String location, Map<?,?> credentials, String region, String endPoint, String storageAccount)`
`Map<?,?>` `getCredentials()`
`String` `getEndPoint()`
`String` `getLocation()`
`String` `getPresignedUrl()`
`String` `getRegion()`
`StageInfo.StageType` `getStageType()`
`String` `getStorageAccount()`
`void` `setCredentials(Map<?,?> credentials)`
`void` `setPresignedUrl(String presignedUrl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createStageInfo

    public static StageInfo createStageInfo(String locationType,
                                            String location,
                                            Map<?,?> credentials,
                                            String region,
                                            String endPoint,
                                            String storageAccount)
                                     throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

#### getStageType

    public StageInfo.StageType getStageType()

#### getLocation

    public String getLocation()

#### getCredentials

    public Map<?,?> getCredentials()

#### setCredentials

    public void setCredentials(Map<?,?> credentials)

#### getRegion

    public String getRegion()

#### getEndPoint

    public String getEndPoint()

#### getStorageAccount

    public String getStorageAccount()

#### getPresignedUrl

    public String getPresignedUrl()

#### setPresignedUrl

    public void setPresignedUrl(String presignedUrl)